Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:43 2009

## Asterisk developer's documentation

# mansession Struct Reference

`#include <manager.h>`

Collaboration diagram for mansession:

[legend]

## Data Fields

ast_mutex_t | __lock
int | authenticated
int | busy
char | challenge [10]
int | dead
struct eventqent * | eventq
int | fd
char | inbuf [AST_MAX_MANHEADER_LEN]
int | inlen
struct mansession * | next
int | readperm
int | send_events
struct sockaddr_in | sin
pthread_t | t
char | username [80]
int | writeperm
int | writetimeout

## Detailed Description

Definition at line 67 of file manager.h.

## Field Documentation

ast_mutex_t __lock

Thread lock -- don't use in action callbacks, it's already taken care of

Definition at line 71 of file manager.h.

Referenced by accept_thread(), free_session(), get_input(), manager_event(), process_message(), session_do(), and set_eventmask().

int authenticated

Authentication status

Definition at line 85 of file manager.h.

Referenced by process_message(), and session_do().

int busy

Whether or not we're busy doing an action

Definition at line 77 of file manager.h.

Referenced by manager_event(), and process_message().

char challenge[10]

Authentication challenge

Definition at line 83 of file manager.h.

Referenced by authenticate(), and process_message().

int dead

Whether or not we're "dead"

Definition at line 79 of file manager.h.

Referenced by get_input(), and manager_event().

struct eventqent* eventq`[read]`

Definition at line 95 of file manager.h.

Referenced by append_event(), free_session(), and process_message().

int fd

TCP socket

Definition at line 75 of file manager.h.

Referenced by _sip_show_peer(), accept_thread(), action_agents(), action_command(), action_extensionstate(), action_getvar(), action_listcommands(), action_mailboxcount(), action_mailboxstatus(), action_status(), action_zapshowchannels(), astman_send_error(), astman_send_response(), free_session(), get_input(), manager_dbget(), manager_event(), manager_iax2_show_netstats(), manager_iax2_show_peers(), manager_parking_status(), manager_queues_show(), manager_queues_status(), manager_sip_show_peer(), manager_sip_show_peers(), process_message(), and session_do().

char inbuf[AST_MAX_MANHEADER_LEN]

Buffer

Definition at line 91 of file manager.h.

Referenced by get_input().

int inlen

Definition at line 92 of file manager.h.

Referenced by get_input().

struct mansession* next`[read]`

Definition at line 98 of file manager.h.

Referenced by accept_thread(), destroy_session(), handle_showmanconn(), and manager_event().

int readperm

Authorization for reading

Definition at line 87 of file manager.h.

Referenced by authenticate(), and manager_event().

int send_events

Definition at line 93 of file manager.h.

Referenced by accept_thread(), manager_event(), and set_eventmask().

struct sockaddr_in sin`[read]`

socket address

Definition at line 73 of file manager.h.

Referenced by accept_thread(), authenticate(), get_input(), handle_showmanconn(), process_message(), and session_do().

pthread_t t

Execution thread

Definition at line 69 of file manager.h.

Referenced by accept_thread(), and manager_event().

char username[80]

Logged in username

Definition at line 81 of file manager.h.

Referenced by authenticate(), handle_showmanconn(), process_message(), and session_do().

int writeperm

Authorization for writing

Definition at line 89 of file manager.h.

Referenced by action_listcommands(), authenticate(), and process_message().

int writetimeout

Definition at line 97 of file manager.h.

Referenced by accept_thread(), authenticate(), manager_event(), and process_message().

The documentation for this struct was generated from the following file:

- manager.h